%global momorel 1
%define __libtoolize :

Name:		libxklavier
Summary:	libXklavier library
Version:	3.9
Release: %{momorel}m%{?dist}
License:	LGPL
Group:		Development/Libraries
Url: http://gswitchit.sourceforge.net/
BuildRequires: doxygen
BuildRequires: pkgconfig
BuildRequires: libxml2-devel >= 2.7.3
BuildRequires: glib2-devel >= 2.20.0
BuildRequires: iso-codes
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: http://dl.sourceforge.net/sourceforge/gswitchit/%{name}-%{version}.tar.bz2
NoSource: 0

%description
This library allows you simplify XKB-related development.

%package devel
Summary: Libraries, includes, etc to develop libxklavier applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries, include files, etc you can use to develop libxklavier applications.

%prep
%setup -q

%build
%configure --enable-gtk-doc \
    --enable-xkb-support \
    --enable-xmodmap-support
%make 

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB CREDITS
%{_libdir}/lib*.so.*
%exclude %{_libdir}/lib*.la

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/gtk-doc/html/libxklavier

%changelog
* Thu Mar 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.9-1m)
- update to 3.9

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.8-2m)
- rebuild against rpm-4.6

* Mon Nov 24 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.8-1m)
- update to 3.8

* Mon Oct 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.7-1m)
- update to 3.7

* Mon Apr 28 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.6-1m)
- update to 3.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.5-2m)
- rebuild against gcc43

* Tue Mar 11 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5-1m)
- update to 3.5

* Sun Feb 10 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.4-1m)
- update to 3.4

* Sat Oct 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.3-1m)
- update to 3.3

* Thu Mar 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2-1m)
- update to 3.2

* Fri Nov  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1-1m)
- update to 3.1

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0-1m)
- update 3.0

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2-2m)
- delete libtool library

* Fri Apr  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2-1m)
- update to 2.2

* Tue Nov 22 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0-3m)
- add gcc4 patch. import from Debian
- Patch0: libxklavier_2.0-0.2.0.0.1.gcc4.diff.gz

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-2m)
- delete autoreconf and make check

* Wed Nov 16 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-1m)
- version up
- GNOME 2.12.1 Desktop

* Tue Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.04-1m)
- version 1.04
- GNOME 2.8 Desktop
- add configure option : --enable-doxygen --with-xkb-base=/etc/X11/xkb

* Wed Dec 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.02-2m)
- add auto commands before %%build for fix missing lib*.so problem

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.02-1m)
- version 1.02
- GNOME 2.6 Desktop

* Sat Nov 15 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.95-1m)
- version 0.95
